Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Crash on startup if Java 6 is default runtime #1810

Closed
cyberduck opened this issue Feb 29, 2008 · 8 comments
Closed

Crash on startup if Java 6 is default runtime #1810

cyberduck opened this issue Feb 29, 2008 · 8 comments
Assignees
Milestone

Comments

@cyberduck
Copy link
Collaborator

cyberduck commented Feb 29, 2008

1001f3c created the issue

System: Leopard 10.5.2

Cyberduck crashes on startup without opening. Error:

2/28/08 9:42:10 PM Cyberduck[7701] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting

2/28/08 9:42:10 PM com.apple.launchd[78] ([0x0-0x5b05b].ch.sudo.cyberduck[7701]) Exited with exit code: 1 

Removed all Cyberduck related files from my system and reinstalled, same error.

@cyberduck
Copy link
Collaborator Author

cyberduck commented Apr 1, 2008

anonymous commented

I've got the same error. I just updated to Java 6 preview version

@cyberduck
Copy link
Collaborator Author

cyberduck commented Apr 1, 2008

1001f3c commented

Yeah, it's a Java error. I just found out today that one of my friends had the same problem, and can solve it by switching back to 5.0 via the Java preferences. Unfortunately, that didn't work for me, so I've reinstalled Leopard, and haven't gotten Java 6. Works again now.

@cyberduck
Copy link
Collaborator Author

cyberduck commented Apr 1, 2008

@dkocher commented

You have to revert any changes you made to symbolic links in /System/Library/Frameworks/JavaVM.framework/Versions.

@cyberduck
Copy link
Collaborator Author

cyberduck commented Apr 1, 2008

3ea76ab commented

Is there no solution with Java6?
I have to use Java 6 for a couple of other projects.
I just thought to change the symbolic links in Versions as i needed, but that does not work here...

@cyberduck
Copy link
Collaborator Author

cyberduck commented Apr 11, 2008

@dkocher commented

#1601 looks like the same issue.

@cyberduck
Copy link
Collaborator Author

cyberduck commented Apr 30, 2008

@dkocher commented

Reported as [radar://5901349]. As a workaround, we will change the JVMVersion key in the Cyberduck Info.plist explicitly to Version 1.5

@cyberduck
Copy link
Collaborator Author

cyberduck commented May 1, 2008

@dkocher commented

In 3fee6bc.

@cyberduck
Copy link
Collaborator Author

cyberduck commented Oct 8, 2008

anonymous commented

I need Thank you!
nike shoes,jordan shoes,Adidas Shoes,Puma Shoes discount New styles have just arrived! Free Shipping Free Returns.nike shoes
jordan shoes

@iterate-ch iterate-ch locked as resolved and limited conversation to collaborators Nov 26, 2021
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Development

No branches or pull requests

2 participants